# -*- coding: utf-8 -*-
class MainViewController < UIViewController
  def viewDidLoad
    super
    margin = 20 # ボタンの左右マージン
    view.backgroundColor = '#fff'.uicolor
    navigationItem.title = 'WebView sample'

    view << UIButton.rounded_rect.tap do |b|
      b.setTitle('Open WebView', forState:UIControlStateNormal)
      b.frame = [[margin, 100], [view.frame.size.width - margin * 2, 42]]
      b.on(:touch) do
        navigationController << WebViewController.new.tap do |c|
          c.url   = 'http://d.hatena.ne.jp/naoya/'
        end
      end
    end
  end
end
